Skip to main content
POST
/
api
/
v1
/
users
Create User
curl --request POST \
  --url https://api.example.com/api/v1/users \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "username": "<string>",
  "password": "<string>",
  "is_admin": false,
  "is_playing": false,
  "robot_ip": "<string>"
}
'
{
  "id": 123,
  "name": "<string>",
  "is_admin": true,
  "is_playing": true,
  "eliminated": true,
  "robot_ip": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
username
string
required
password
string
required
is_admin
boolean
default:false
is_playing
boolean
default:false
robot_ip
string | null

Response

Successful Response

id
integer
required
name
string
required
is_admin
boolean
required
is_playing
boolean
required
eliminated
boolean
required
robot_ip
string | null
required